Summary:	COLAMD: column approximate minimum degree
Summary(pl.UTF-8):	COLAMD - przybliżony algorytm minimalnego stopnia dla kolumn
Name:		COLAMD
Version:	2.8.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.cise.ufl.edu/research/sparse/colamd/%{name}-%{version}.tar.gz
# Source0-md5:	482dc4f958c2dafdd430d4c3148d15c5
Patch0:		colamd-ufconfig.patch
Patch1:		colamd-shared.patch
URL:		http://www.cise.ufl.edu/research/sparse/colamd/
BuildRequires:	SuiteSparse_config >= 4.0.0
BuildRequires:	libtool >= 2:1.5
Obsoletes:	colamd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The COLAMD column approximate minimum degree ordering algorithm
computes a permutation vector P such that the LU factorization of A
(:,P) tends to be sparser than that of A. The Cholesky factorization
of (A (:,P))'*(A (:,P)) will also tend to be sparser than that of
A'*A. SYMAMD is a symmetric minimum degree ordering method based on
COLAMD, available as a MATLAB-callable function. It constructs a
matrix M such that M'*M has the same pattern as A, and then uses
COLAMD to compute a column ordering of M. Colamd and symamd tend to be
faster and generate better orderings than their MATLAB counterparts,
colmmd and symmmd.

%description -l pl.UTF-8
Przybliżony algorytm porządkowania minimalnego stopnia dla kolumn
(COLAMD) oblicza wektor permutacji P taki, że rozkład LU A (:,P) jest
bardziej rzadki niż A. Rozkład Cholesky'ego (A (:,P))'*(A (:,P)) także
jest rzadszy niż A'*A. SYMAND to przybliżony algorytm porządkowania
minimalnego stopnia dla macierzy symetrycznych oparty na COLAMD,
dostępny jako funkcja do wywołania z MATLAB-a. Tworzy macierz M taką,
że M'*M ma ten sam wzór co A, a następnie używa algorytmu COLAMD do
obliczenia porządku kolumn M. COLAMD i SYMAMD są szybsze i generują
lepsze uporządkowania niż ich odpowiedniki z MATLAB-a: colmmd i
symmmd.

%package devel
Summary:	Header files for COLAMD library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki COLAMD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SuiteSparse_config >= 4.0.0
Obsoletes:	colamd-devel

%description devel
Header files for COLAMD library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki COLAMD.

%package static
Summary:	Static COLAMD library
Summary(pl.UTF-8):	Statyczna biblioteka COLAMD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	colamd-static

%description static
Static COLAMD library.

%description static -l pl.UTF-8
Statyczna biblioteka COLAMD.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/colamd

%{__make} -C Lib install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

install Include/*.h $RPM_BUILD_ROOT%{_includedir}/colamd

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt Doc/ChangeLog
%attr(755,root,root) %{_libdir}/libcolamd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcolamd.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcolamd.so
%{_libdir}/libcolamd.la
%{_includedir}/colamd

%files static
%defattr(644,root,root,755)
%{_libdir}/libcolamd.a
%changelog
* Sun Apr 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/COLAMD.git;a=log;h=master

* Wed Jun 27 2012 Jakub Bogusz <qboosh@pld-linux.org> e0318b6
- updated to 2.8.0; switched to SuiteSparse_config
- updated ufconfig,shared patches

* Sun Jan 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 6e77168
- updated to 2.7.4
- updated shared patch

* Thu Jan 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 021eaec
- updated to 2.7.3

* Wed Oct 13 2010 Jakub Bogusz <qboosh@pld-linux.org> f343e25
- updated to 2.7.2

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> f4c4231
- fixed shared patch to use proper objects, -fPIC hack no longer needed

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 445fa7c
- use *.lo to link the library

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> f04659c
- ghost soname symlink
- added ChangeLog to doc
- LGPL v2.1+

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> 59a7d4b
- rel 3

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> a85c69f
- consistent library name in summary/description

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> 45a90be
- use private include dir

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> 89e5c7e
- use rpmldflags

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> caad30b
- use LDFLAGS for linking

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> 12c2dcb
- finished rename to COLAMD

* Thu Dec 06 2007 Jan Rękorajski <baggins@pld-linux.org> 0394ab1
- renamed from colamd.spec

* Sun Dec 02 2007 Jan Rękorajski <baggins@pld-linux.org> 7ce2a62
- renamed to COLAMD.spec

* Sun Dec 02 2007 Jan Rękorajski <baggins@pld-linux.org> de512ad
- rel 2
- build with -fPIC

* Sun Dec 02 2007 Jan Rękorajski <baggins@pld-linux.org> b46aa71
- 2.7.1
- updated patches

* Sun Dec 02 2007 Jan Rękorajski <baggins@pld-linux.org> bc1d5db
- up to 2.7.1

* Sun Dec 02 2007 Jan Rękorajski <baggins@pld-linux.org> 6980c24
- more Makefiles fixed

* Sun Dec 02 2007 Jan Rękorajski <baggins@pld-linux.org> 606d9b0
- really updated

